// Copyright (c) 2024 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "display/shader/IShaderProgram.hpp"

namespace Dawn {
  class ShaderProgram : public IShaderProgram {
    public:
      void init(
        const std::vector<std::shared_ptr<ShaderStage>> &stages
      ) override;
      ~ShaderProgram();
  };
}