// Copyright (c) 2024 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "display/shader/IShaderStage.hpp"

namespace Dawn {
  class ShaderStage : public IShaderStage {
    public:
      void init(
        const SlangStage &stage,
        const std::string &code
      ) override;
      ~ShaderStage();
  };
}